Android için Yeni Java API Desteği

Android 11 ile OpenJDK içerisinde yer alan List, Set, Map ve yeni java.time gibi bir dizi API için Android desteği yayınlandı. Üstelik eski cihazlar için de kullanılabilir durumda!


Görsel Referansı


Yeni OpenJDK API'larını kullanabilmek için Gradle Plugin versiyonunun 4.0.0 ve üstü olması gerekiyor. API'ların bazıları geriye dönük bir destek sunarken, diğer API'lar desugaring ile eski cihazlar için kullanılabiliyor.


Detaylar için Murat Yener'in yazmış olduğu Medium yazısını inceleyebilirsiniz: https://medium.com/androiddevelopers/support-for-newer-java-language-apis-bca79fc8ef65


#android11 #support #newerjava #javaapi #openjdk

0 yorum